## luciole 0.8.5

=== debian/changelog ===
luciole (0.8.5-0ubuntu1) lucid; urgency=low

  * New upstream release. Fixes:
    - LP: #525286 - Luciole start up can be very long

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 04 Mar 2010 07:55:14 +0100

luciole (0.8.4-0ubuntu1) lucid; urgency=low

  * New upstream release. Fixes:
    - LP: #522266 - Luciole crash at start up

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 18 Feb 2010 06:33:14 +0000

luciole (0.8.3-0ubuntu1) lucid; urgency=low

  * New upstream release. Fixes:
   - LP: #522010 - Segmentation fault on webcam detection when acquisition is on
   - LP: #519652 - Luciole takes a while before starting due to theme warnings
   - LP: #521606 - Nothing happens when trying to open a non existing project
   - LP: #520495 - GUI display issue around mixer
   - LP: #521371 - A scroll bar is displayed when only 1 framerate is available
  * debian/copyright: get rid of (C) to make lintian happy
  * debian/control: bump standards-version to 3.8.4. No changes required.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 15 Feb 2010 07:16:26 +0100

luciole (0.8.2-0ubuntu1) lucid; urgency=low

  * New upstream release. Fixes:
    - LP: #498619 Acquisition doesn't work on DVCAM nor WEBCAM
    - LP: #500649 Excessive CPU use while capturing
    - LP: #500158 Impossible to change export path
    - LP: #500652 Weird Mixer behavior
    - LP: #505288 Error when opening existing project
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/README.source: deleted as it's not useful anymore
  * debian/quilt: deleted build dependency on quilt
  * debian/compat: bumped version to 7
  * debian/rules: Converted to debhelper 7 style
  * debian/manpages: created to install luciole.1 manpage

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 08 Feb 2010 20:09:50 +0100

luciole (0.7.4-0ubuntu1) lucid; urgency=low

  * New upstream release.
    - Fix "Luciole does not allow to overwrite a video file during export"
      (LP: #485197)
    - Fix "Luciole export on DV format does not work under karmic" (LP: #486963)
  * debian/watch: fixed to take into account - or _ in the source tarball
  * debian/control: added Homepage tag

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 29 Nov 2009 07:45:40 +0000

luciole (0.7.3-0ubuntu2) lucid; urgency=low

  * debian/control:
    - added a build dependency on quilt
    - added a dependency on python-dbus to avoid a startup error
  * debian/rules: added quilt include and call to patch and unpatch targets
  * debian/README.source: added to take into account quilt patching
  * clean_window_destroy.patch: fix an incorrect handling of the main windows
    closing (LP: #484062). Patch from Nicolas Bertrand
  * fix_crash_on_acquisition.patch: fix a crash when webcam acquisition is
    started (LP: #481732). Patch from Nicolas Bertrans

 -- Fabrice Coutadeur < fabricesp@ubuntu.com>  Fri, 20 Nov 2009 06:00:40 +0000

luciole (0.7.3-0ubuntu1) karmic; urgency=low

  * Integration to ubuntu repository (LP: #374249)

 -- Nicolas Bertrand <nico@inattendu.org>  Tue, 25 Aug 2009 18:49:51 +0200
