## luciole 0.8.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright Nicolas Bertrand (nico@inattendu.org), 2009
+# Copyright Nicolas Bertrand (nico@inattendu.org), 2009-2010
 #
 # This file is part of Luciole.
 #
@@ -44,7 +44,9 @@
 SOURCE_DIR=./
 PREFIX ?= /usr
 LIBDIR ?= /lib
-all: compile gui
+BASEDIR= `basename $(PWD)`
+
+all: compile trans-compile
 	@echo "Done"
 	@echo "Type: 'make install' now"
 
@@ -61,9 +63,6 @@
 trans-compile :
 	python po/createpot.py compile
 
-gui : 
-	gtk-builder-convert images/luciole.glade images/luciole.xml
-
 trans-po-update :
 	python po/createpot.py update_po
 
@@ -72,7 +71,8 @@
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib
-	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioExport
+	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_export
+	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_gst
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/gui
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioWebCamDetect
 	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/controller
@@ -84,23 +84,24 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/images
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/sounds
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/po
+	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/ui
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical
 	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/icons
-	mkdir -p $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/Menu-Menubar
 	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
 
 install: make-install-dirs
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)luciole.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)_version.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole
-	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/luciole.glade $(DESTDIR)$(PREFIX)/share/luciole/images
-	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/luciole.xml $(DESTDIR)$(PREFIX)/share/luciole/images
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)ui/*.glade $(DESTDIR)$(PREFIX)/share/luciole/ui
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/*.png $(DESTDIR)$(PREFIX)/share/luciole/images
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)sounds/*.ogg $(DESTDIR)$(PREFIX)/share/luciole/sounds
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/
 	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/
-	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioExport/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioExport
-	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioExport/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioExport
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lcl_export/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_export
+	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lcl_export/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_export
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lcl_gst/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_gst
+	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lcl_gst/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lcl_gst
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/gui/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/gui
 	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/gui/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/gui
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/lucioWebCamDetect/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/lucioWebCamDetect
@@ -108,11 +109,12 @@
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/controller/*.py $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/controller
 	-install -m 644 $(CURDIR)/$(SOURCE_DIR)lucioLib/controller/*.py[co] $(DESTDIR)$(PREFIX)$(LIBDIR)/luciole/lucioLib/controller
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)templates/*.xml $(DESTDIR)$(PREFIX)/share/luciole/templates
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)templates/*.kdenlive $(DESTDIR)$(PREFIX)/share/luciole/templates
+	install -m 644 $(CURDIR)/$(SOURCE_DIR)templates/*.xptv $(DESTDIR)$(PREFIX)/share/luciole/templates
 	install -m 644  $(CURDIR)/$(SOURCE_DIR)luciole.desktop $(DESTDIR)$(PREFIX)/share/applications/
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)images/luciole.xpm  $(DESTDIR)$(PREFIX)/share/pixmaps/
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)themes/*.rc $(DESTDIR)$(PREFIX)/share/luciole/themes/
 	install -m 644 $(CURDIR)/$(SOURCE_DIR)themes/Tropical/icons/*.png $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/icons/
-	install -m 644 $(CURDIR)/$(SOURCE_DIR)themes/Tropical/Menu-Menubar/*.png $(DESTDIR)$(PREFIX)/share/luciole/themes/Tropical/Menu-Menubar/
 
 	cd $(DESTDIR)$(PREFIX)/bin && \
 	  /bin/echo -e \
@@ -130,8 +132,12 @@
 	    `echo $$f | sed "s|^po|$(DESTDIR)$(PREFIX)/share/luciole/po|"` ; \
 	  done
 tarball: clean
-	tar --exclude .bzr -czvf ../luciole.tar.gz ../luciole
+	@echo "Creating tarball $(BASEDIR).tar.gz archive in parent dir "
+	@cd .. && tar --exclude .bzr --exclude .bzrignore --exclude debian -czf $(BASEDIR).tar.gz $(BASEDIR)
 
+debian-orig: clean cleanbzr
+	@echo "Creating debian $(BASEDIR).orig.tar.gz archive in parent dir"
+	@cd .. && tar --exclude .bzr --exclude .bzrignore --exclude debian  -czf $(BASEDIR).orig.tar.gz $(BASEDIR)
  
 uninstall:
 	rm -rf $(DESTDIR)$(PREFIX)/share/luciole
@@ -139,5 +145,16 @@
 	rm -rf $(DESTDIR)$(PREFIX)/bin/luciole
 	rm -f $(DESTDIR)$(PREFIX)/share/applications/luciole.desktop
 	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/luciole.xpm
+
 clean :
-	find . -name "*.py[co]" -exec rm -f {} \;
+	@echo "Removing temporary files" 
+	@find . -name "*.py[co]" -exec rm -f {} \;
+	@find . -name "*~" -exec rm -f {} \;
+	@find . -name "*.swp" -exec rm -f {} \;
+
+cleanbzr :
+	rm -rf .bzr
+	rm -f .bzrignore
+
+
+
