=== debian/changelog ===
luciole (0.8.6-0ubuntu2) trusty; urgency=low

  * Use avconv instead of ffmpeg.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 24 Nov 2013 13:33:36 +0000

luciole (0.8.6-0ubuntu1) maverick; urgency=low

  * New upstream release. Bug fixing only release. Fixes:
    - LP: #532967 - Project path is hardcoded in project file   
    - LP: #626847 - Menu shorcuts as CTRL+N or CTRL+S not in luciole 0.8.5
      (regression)
  * debian/patches: deleted as there are no patches left.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 02 Sep 2010 19:13:04 +0000
