=== debian/control ===
Source: luciole
Section: graphics
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Bertrand <nico@inattendu.org>
Build-Depends: debhelper (>= 7.0.50),
               python-dev,
               python-gtk2-dev,
               perl
Standards-Version: 3.8.4
Homepage: https://launchpad.net/luciole

Package: luciole
Architecture:any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-gtk2,
         python-glade2,
         python-gnome2,
         python-dbus,
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
         python-gst0.10,
         mjpegtools,
         python-imaging,
         imagemagick,
         mencoder,
         libav-tools
Description: Image per Image capture tool for movie animations
 Luciole is a stop motion software for animation movie realization.
 It can make live capture of images from external devices as webcam or DV cam.
 Luciole is intended to be easy to use for educational purpose and simplify 
 animation movie mounting.
