=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	pod2man --section=1 --center "" debian/luciole.pod luciole.1

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.mo" -exec rm -f {} \;
	rm -f luciole.1
