=== debian/watch ===
version=3
https://launchpad.net/luciole/+download http://launchpad.net/luciole/.*/.*/\+download/luciole_(.+).tar.gz
